jdbc:hsqldb:hsql://${host}:${port}
<xsl:stylesheet xmlns:xsl='http://www.w3.org/1999/XSL/Transform' version='1.0'>

<xsl:output method="xml" /> <xsl:param name="host"/> <xsl:param name="port"/>

<xsl:template match="/"> <xsl:apply-templates/> </xsl:template>

<xsl:template match="config-property[@name='ConnectionURL']"> <config-property type="java.lang.String" name="ConnectionURL">jdbc:hsqldb:hsql://<xsl:value-of select='$host'/>:<xsl:value-of select='$port'/></config-property> </xsl:template> <xsl:template match="*|@*"> <xsl:copy> <xsl:apply-templates select="@*|node()"/> </xsl:copy> </xsl:template> </xsl:stylesheet>
<xsl:stylesheet xmlns:xsl='http://www.w3.org/1999/XSL/Transform' version='1.0'>

<xsl:output method="xml" /> <xsl:param name="host"/> <xsl:param name="port"/>

<xsl:template match="/"> <xsl:apply-templates/> </xsl:template>

<xsl:template match="SystemProperty[@name='jetty.port']"> <SystemProperty default="{$port}" name="jetty.port" /> </xsl:template> <xsl:template match="New[@class='org.mortbay.http.ajp.AJP13Listener']/Set[@name='Port']"> <Set name="Port"><xsl:value-of select="$port - 71"/></Set> </xsl:template> <xsl:template match="*|@*"> <xsl:copy> <xsl:apply-templates select="@*|node()"/> </xsl:copy> </xsl:template> </xsl:stylesheet>